Bug 963006 - Gnome login problem: Password field beeps on every keystroke; repeated keystrokes eventually register character
Gnome login problem: Password field beeps on every keystroke; repeated keystr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 19:56 EDT by Ivor Durham
Modified: 2013-08-01 06:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:38:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivor Durham 2013-05-14 19:56:51 EDT
Description of problem:

After clicking on a user name in the login dialog box, I am unable to enter a password normally. Each key press, including CTRL and SHIFT on their own, results in a beep instead of registering the character. I found that I can strike a key multiple times and after 2-5 attempts the character registers. After I have completed the password I can login by clicking the button with the mouse.

I suspect a race condition since the character can register after multiple strikes, but I don't know enough to know who the potential culprits might be.

Version-Release number of selected component (if applicable):

gnome-session-3.4.2-1.fc17.x86_64
gnome-session-xsession-3.4.2-1.fc17.x86_64
gdm-3.4.1-3.fc17.x86_64

How reproducible:

At this point I don't know how to go from a working system to one with the problem. I had been using the system remotely from my laptop without having to go to the keyboard for several weeks. In that time a number of "yum updates" had been done so I was unable to isolate the exact time the problem was introduced. No manual configuration changes had been made since the last normal login.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Beep on virtually all key presses. Repeated key presses eventually get the character through and shows the corresponding bullet.

Expected results:

Each key press should result in a masking bullet.

Additional info:
Comment 1 Ivor Durham 2013-06-08 01:27:36 EDT
Looks like this was first reported against FC15 as Bug 803907 which was closed/wontfix because FC15 was at end-of-life. However, the problem remains and I don't know what else to do to provide more useful debugging information. Would a list of processes obtained via a remote connection while the login screen is on the display help? While this is not debilitating, it is certainly very frustrating, especially given that it is likely a problem with a configuration file somewhere.
Comment 2 Ivor Durham 2013-06-30 17:16:03 EDT
I've discovered that if I use im-chooser to select "No input method" versus "Use IBus (Recommended)" this problem goes away. i.e. I can type my password into the Gnome login screen and each character is accepted normally. Note: When I had "Use IBus" selected, the problem only occurred on the Gnome login screen, but not on the screensaver password input.
Comment 3 Fedora End Of Life 2013-07-03 23:16:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 06:38:19 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.